Package org.springframework.aop.aspectj

# Class AspectJProxyUtils

java.lang.Object
org.springframework.aop.aspectj.AspectJProxyUtils

public abstract class AspectJProxyUtils extends Object
Utility methods for working with AspectJ proxies.

Since:
  2.0
Author:
  Rod Johnson, Ramnivas Laddad, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`AspectJProxyUtils()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`makeAdvisorChainAspectJCapableIfNecessary(List<Advisor> advisors)`
Add special advisors if necessary to work with a proxy chain that contains AspectJ advisors: concretely, `ExposeInvocationInterceptor` at the beginning of the list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AspectJProxyUtils

public AspectJProxyUtils()

## Method Details

### makeAdvisorChainAspectJCapableIfNecessary

public static boolean makeAdvisorChainAspectJCapableIfNecessary(List<Advisor> advisors)
Add special advisors if necessary to work with a proxy chain that contains AspectJ advisors: concretely, `ExposeInvocationInterceptor` at the beginning of the list.

This will expose the current Spring AOP invocation (necessary for some AspectJ pointcut matching) and make available the current AspectJ JoinPoint. The call will have no effect if there are no AspectJ advisors in the advisor chain.

Parameters:
  `advisors` - the advisors available
Returns:
  `true` if an `ExposeInvocationInterceptor` was added to the list, otherwise `false`